﻿using System;
using System.Threading.Tasks;

namespace AsyncDemo
{
    public class AsyncClass
    {
        public async void Method1()
        {
            int result = await Method2();
            Console.WriteLine("Mehod 1 done - {0}", result);
        }

        public async Task<int> Method2()
        {
            var r = new Random();
            await Task.Delay(r.Next(2000, 3000));
            Console.WriteLine("Method 2 done");
            return 10;
        }
    }
}