﻿using System;
using System.Runtime.CompilerServices;

namespace CallerInfo
{
    class Program
    {
        static void Main(string[] args)
        {
            Log("Hello world");

            Console.ReadLine();
        }

        public static void Log(string message, 
            [CallerMemberName] string memberName = "",
            [CallerFilePath] string filePath = "",
            [CallerLineNumber] int lineNumber = 0)
        {
            Console.WriteLine("{0} in {1} at {2}", memberName, filePath, lineNumber);
        }
    }
}
